> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tembo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a team, its memberships and its shares



## OpenAPI

````yaml https://api.tembo.io/public-api/openapi/public delete /v1/organizations/{organizationId}/teams/{teamId}
openapi: 3.1.0
info:
  title: Tembo Public API
  description: >-
    Manage agents, sessions, repositories, and organization resources with the
    Tembo API.
  version: 1.0.0
servers:
  - url: https://api.tembo.io
    description: Tembo API
  - url: https://{deployment-origin}/api/public-api
    description: Self-hosted Tembo
    variables:
      deployment-origin:
        default: tembo.example.com
        description: Hostname of your self-hosted Tembo deployment
security: []
paths:
  /v1/organizations/{organizationId}/teams/{teamId}:
    delete:
      tags:
        - Organization teams
      summary: Delete a team, its memberships and its shares
      operationId: deleteOrganizationTeam
      parameters:
        - in: path
          name: organizationId
          schema:
            type: string
          required: true
        - schema:
            type: string
          in: path
          name: teamId
          required: true
      responses:
        '200':
          description: Delete a team, its memberships and its shares
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                required:
                  - id
                additionalProperties: false
        '400':
          description: Team validation, authorization, not-found, or conflict error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  permission:
                    type: string
                required:
                  - error
                additionalProperties: false
        '403':
          description: Team validation, authorization, not-found, or conflict error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  permission:
                    type: string
                required:
                  - error
                additionalProperties: false
        '404':
          description: Team validation, authorization, not-found, or conflict error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  permission:
                    type: string
                required:
                  - error
                additionalProperties: false
        '409':
          description: Team validation, authorization, not-found, or conflict error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  permission:
                    type: string
                required:
                  - error
                additionalProperties: false
      security:
        - apiKey: []
      x-codeSamples:
        - lang: typescript
          label: TypeScript SDK
          source: |
            import Tembo from '@tembo-io/sdk';

            const client = new Tembo();

            const team = await client.organizations.teams.delete('teamId', {
              organizationId: 'organizationId',
            });
        - lang: rust
          label: Rust SDK
          source: |
            use tembo_rs::*;

            let client = Tembo::from_env()?;

            let response = client
                .organizations()
                .teams()
                .delete("example", "example")
                .send()
                .await?;
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.